package intrinsic.mx.events;

public class DragEvent extends intrinsic.flash.events.MouseEvent {

	/** Accessors */

	/** Variables */
	public Object draggedItem;
	public intrinsic.mx.core.IUIComponent dragInitiator;
	public intrinsic.mx.core.DragSource dragSource;
	public String action;

	/** Constants */
	public static final String DRAG_EXIT = "drag_exit";
	public static final String VERSION = "version";
	public static final String DRAG_ENTER = "drag_enter";
	public static final String DRAG_DROP = "drag_drop";
	public static final String DRAG_OVER = "drag_over";
	public static final String DRAG_START = "drag_start";
	public static final String DRAG_COMPLETE = "drag_complete";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DragEvent() {
}

public DragEvent(String arg0) {
}

public DragEvent(String arg0, boolean arg1) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3, intrinsic.mx.core.DragSource arg4) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3, intrinsic.mx.core.DragSource arg4, String arg5) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3, intrinsic.mx.core.DragSource arg4, String arg5, boolean arg6) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3, intrinsic.mx.core.DragSource arg4, String arg5, boolean arg6, boolean arg7) {
}

public DragEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.core.IUIComponent arg3, intrinsic.mx.core.DragSource arg4, String arg5, boolean arg6, boolean arg7, boolean arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
